Debian Bug report logs - #660567
screen: Immediately exits on kfreebsd when trying to start a new session

version graph

Package: screen; Maintainer for screen is Axel Beckert <abe@debian.org>; Source for screen is src:screen.

Reported by: Axel Beckert <abe@debian.org>

Date: Sun, 19 Feb 2012 21:48:02 UTC

Severity: grave

Found in version screen/4.1.0~20110819git450e8f3-1

Fixed in version screen/4.1.0~20120320gitdb59704-2

Done: Axel Beckert <abe@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>:
Bug#660567; Package screen. (Sun, 19 Feb 2012 21:48:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Axel Beckert <abe@debian.org>:
New Bug report received and forwarded. Copy sent to Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>. (Sun, 19 Feb 2012 21:48:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: screen: Immediately exits on kfreebsd when trying to start a new session
Date: Sun, 19 Feb 2012 22:44:02 +0100 (CET)
Package: screen
Version: 4.1.0~20110819git450e8f3-1
Severity: important
User: debian-bsd@lists.debian.org
Usertags: kfreebsd

When trying to start screen 4.1.0~20110819git450e8f3-1 on kfreebsd and
it comes to starting a new session it immediately terminates again:

$ screen -c /dev/null
[screen is terminating]
$ 

screen 4.0.3-14 works fine though.

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (990, 'unstable'), (600, 'testing'), (110, 'experimental')
Architecture: kfreebsd-i386 (i386)

Kernel: kFreeBSD 8.2-1-686-smp
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages screen depends on:
ii  dpkg          1.16.1.2
ii  install-info  4.13a.dfsg.1-8
ii  libc0.1       2.13-26
ii  libncursesw5  5.9-4
ii  libpam0g      1.1.3-7
ii  libtinfo5     5.9-4

screen recommends no packages.

Versions of packages screen suggests:
ii  byobu     5.3-1
ii  iselect   1.4.0-1
ii  screenie  1.30.0-6

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#660567; Package screen. (Thu, 24 May 2012 02:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Axel Beckert <abe@debian.org>:
Extra info received and forwarded to list. (Thu, 24 May 2012 02:30:02 GMT) Full text and rfc822 format available.

Message #10 received at 660567@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@debian.org>
To: 660567@bugs.debian.org
Subject: Possible culprit for #660567 (screen: Immediately exits on kfreebsd when trying to start a new session)
Date: Thu, 24 May 2012 04:26:43 +0200
After some (due to build failures incomplete) bisecting, I suspect
upstream commit 97059b7ad521cf796daee07397c658d9716dd1e7 to be the
culprit:

http://git.savannah.gnu.org/cgit/screen.git/commit/?id=97059b7ad521cf796daee07397c658d9716dd1e7

All possible culprits according to git bisect:

54791bc9f973699cd2c20acd3da1666686fc7c23
e6a28cf8bfdac15faa6c267bf476ddcaddf48d67
f3415774783781be919cd0452d401bbbe396c879
b040667633ecccb582426536936f07c8e005c87b
f33e5cdecb7bf3b6ae8e4a5c0ca394dd5a06a416
9756ae6fb21fb6421e543173115059d36358c692
a6eea7b4d6dd3e4385919b4a50a58688f9a6b52b
97059b7ad521cf796daee07397c658d9716dd1e7

		Regards, Axel
-- 
 ,''`.  |  Axel Beckert <abe@debian.org>, http://people.debian.org/~abe/
: :' :  |  Debian Developer, ftp.ch.debian.org Admin
`. `'   |  1024D: F067 EA27 26B9 C3FC 1486  202E C09E 1D89 9593 0EDE
  `-    |  4096R: 2517 B724 C5F6 CA99 5329  6E61 2FF9 CD59 6126 16B5




Severity set to 'grave' from 'important' Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Sun, 27 May 2012 09:39:03 GMT) Full text and rfc822 format available.

Added tag(s) help. Request was from Axel Beckert <abe@debian.org> to control@bugs.debian.org. (Tue, 29 May 2012 16:39:16 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Axel Beckert <abe@debian.org> to control@bugs.debian.org. (Sun, 03 Jun 2012 19:57:11 GMT) Full text and rfc822 format available.

Removed tag(s) help. Request was from Axel Beckert <abe@debian.org> to control@bugs.debian.org. (Sun, 03 Jun 2012 20:03:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#660567; Package screen. (Fri, 08 Jun 2012 10:50:00 GMT) Full text and rfc822 format available.

Acknowledgement sent to Axel Beckert <abe@debian.org>:
Extra info received and forwarded to list. (Fri, 08 Jun 2012 10:50:18 GMT) Full text and rfc822 format available.

Message #23 received at 660567@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@debian.org>
To: Samuel Thibault <samuel.thibault@gnu.org>
Cc: 522689@bugs.debian.org, 660567@bugs.debian.org, 644788@bugs.debian.orgr
Subject: Re: Bug#522689: screen: GNU/kFreeBSD fix breaks GNU/Hurd
Date: Fri, 8 Jun 2012 12:31:26 +0200
Hi Samuel,

Samuel Thibault wrote:
> Do you plan to upload the current experimental version to sid before
> the freeze?

I do. Likely this weekend.

I actually kept this screen version in experimental for two reasons
(aka two more or less RC bugs in the experimental package):

First because I hoped upstream would find a solution for
http://bugs.debian.org/644788 soon -- but despite the statement in
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=644788#232 that this
issue is the only thing which holds back a beta release of 4.1.0, no
fixes have been showing up in upstream's git repo until now and I also
got no reply on my ping wrt this issue on #screen on IRC.

So I'll implement the discussed workaround (copying old
/usr/bin/screen to /tmp/ and informing the admin about it via debconf,
cf. http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=644788#217) and
then upload to unstable.

> We really need this fix on hurd-i386, otherwise screen is mostly
> unusable. Shall I perhaps NMU the current sid version with just
> this patch?

Hrm, I was sure your already did that. Because I took over not only
your patch but also your changelog entry which is not part of the
patch attached to this bug report:

http://anonscm.debian.org/gitweb/?p=collab-maint/screen.git;a=commitdiff;h=0d9908c6

But maybe it was a to a seperate repository or so: "unreleased" in
lower case sounds like a porter repository like those on
debian-ports.org.

But no, I think (and hope ;-) that you don't need to NMU screen.


The second reason for not uploading to unstable yet has been resolved
last week, but it may affect usability on Hurd, too, again:

4.1.0 failed on kfreebsd again (http://bugs.debian.org/660567) and
thanks to Jan Christoph Nordholz I was able to fix it on kfreebsd a
few days ago.

Would you be so kind to check that my new patch
(http://anonscm.debian.org/gitweb/?p=collab-maint/screen.git;a=commitdiff;h=7d2ca279)
works properly on Hurd, too?

		Regards, Axel
-- 
 ,''`.  |  Axel Beckert <abe@debian.org>, http://people.debian.org/~abe/
: :' :  |  Debian Developer, ftp.ch.debian.org Admin
`. `'   |  1024D: F067 EA27 26B9 C3FC 1486  202E C09E 1D89 9593 0EDE
  `-    |  4096R: 2517 B724 C5F6 CA99 5329  6E61 2FF9 CD59 6126 16B5




Reply sent to Axel Beckert <abe@debian.org>:
You have taken responsibility. (Sun, 10 Jun 2012 18:51:08 GMT) Full text and rfc822 format available.

Notification sent to Axel Beckert <abe@debian.org>:
Bug acknowledged by developer. (Sun, 10 Jun 2012 18:51:08 GMT) Full text and rfc822 format available.

Message #28 received at 660567-close@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@debian.org>
To: 660567-close@bugs.debian.org
Subject: Bug#660567: fixed in screen 4.1.0~20120320gitdb59704-2
Date: Sun, 10 Jun 2012 18:49:32 +0000
Source: screen
Source-Version: 4.1.0~20120320gitdb59704-2

We believe that the bug you reported is fixed in the latest version of
screen, which is due to be installed in the Debian FTP archive:

screen_4.1.0~20120320gitdb59704-2.debian.tar.gz
  to main/s/screen/screen_4.1.0~20120320gitdb59704-2.debian.tar.gz
screen_4.1.0~20120320gitdb59704-2.dsc
  to main/s/screen/screen_4.1.0~20120320gitdb59704-2.dsc
screen_4.1.0~20120320gitdb59704-2_amd64.deb
  to main/s/screen/screen_4.1.0~20120320gitdb59704-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 660567@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Axel Beckert <abe@debian.org> (supplier of updated screen package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 10 Jun 2012 17:54:53 +0200
Source: screen
Binary: screen
Architecture: source amd64
Version: 4.1.0~20120320gitdb59704-2
Distribution: unstable
Urgency: low
Maintainer: Axel Beckert <abe@debian.org>
Changed-By: Axel Beckert <abe@debian.org>
Description: 
 screen     - terminal multiplexor with VT100/ANSI terminal emulation
Closes: 644788 660567
Changes: 
 screen (4.1.0~20120320gitdb59704-2) unstable; urgency=low
 .
   * Upload to unstable as the two RC issues which the experimental package
     had, are now resolved or at least workarounded:
     - Copy /usr/bin/screen to /tmp/screen-4.0.3 on upgrade from pre-4.1.0
       and use debconf to inform the user about it. (Closes: #644788)
     - Add patch to fix terminal handling on kfreebsd (Closes: #660567)
       Thanks Jan Christoph Nordholz!
   * Add patch to fix parallel building.
   * Use dh_lintian instead of handling lintian overrides manually.
   * No more clean up manually what dh_clean can clean up.
   * Add new patch to fix man page errors and warnings:
     - Lintian warning manpage-has-errors-from-man fixed by replacing all
       occurrences of "..." by "…"
     - Fixes tons of lintian warnings hyphen-used-as-minus-sign
     - Added two false positives of hyphen-used-as-minus-sign to
       lintian-overrides
     - Fixes two typos found by lintian
     - Update 80EXP_session_creation_time.patch accordingly
Checksums-Sha1: 
 30e28abe38bf570161c2dc3993557d63014e6f83 1458 screen_4.1.0~20120320gitdb59704-2.dsc
 707f5b4f28c3052a176b42bc4b3d9f849db9625a 60417 screen_4.1.0~20120320gitdb59704-2.debian.tar.gz
 7d31e5beb8baa109fc624825c66b4ff94772d036 667332 screen_4.1.0~20120320gitdb59704-2_amd64.deb
Checksums-Sha256: 
 2f5945b8c037514216375f6dc8b796cdf7e317ed6e56677e82715132e33e71f4 1458 screen_4.1.0~20120320gitdb59704-2.dsc
 d2b5741ee96efe13fc4bec1c375dac41430b5fac7c71db35861e39d73f9d22c2 60417 screen_4.1.0~20120320gitdb59704-2.debian.tar.gz
 d5ccc5999683978f08f58d869001b3fe25c3d2db491d6af27ed4d39dab1da2da 667332 screen_4.1.0~20120320gitdb59704-2_amd64.deb
Files: 
 a6046f4fde87a34430888eb242042db7 1458 misc optional screen_4.1.0~20120320gitdb59704-2.dsc
 9e6788b9f77999cc94d04a89ca64e902 60417 misc optional screen_4.1.0~20120320gitdb59704-2.debian.tar.gz
 58666ed78bab0cbd2e228b77538730f5 667332 misc optional screen_4.1.0~20120320gitdb59704-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk/U2MEACgkQwJ4diZWTDt49jQCeNT5Yj7UbtOxoTCHNTO18mvAG
O2MAn2abrfQNIb+BlHU0j9RvtVX7MhdH
=YQy1
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Axel Beckert <abe@debian.org>:
Bug#660567; Package screen. (Mon, 11 Jun 2012 12:48:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Axel Beckert <abe@debian.org>. (Mon, 11 Jun 2012 12:48:25 GMT) Full text and rfc822 format available.

Message #33 received at 660567@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Axel Beckert <abe@debian.org>
Cc: 522689@bugs.debian.org, 660567@bugs.debian.org, 644788@bugs.debian.orgr
Subject: Re: Bug#522689: screen: GNU/kFreeBSD fix breaks GNU/Hurd
Date: Mon, 11 Jun 2012 14:45:18 +0200
Axel Beckert, le Fri 08 Jun 2012 12:31:26 +0200, a écrit :
> The second reason for not uploading to unstable yet has been resolved
> last week, but it may affect usability on Hurd, too, again:
> 
> 4.1.0 failed on kfreebsd again (http://bugs.debian.org/660567) and
> thanks to Jan Christoph Nordholz I was able to fix it on kfreebsd a
> few days ago.
> 
> Would you be so kind to check that my new patch
> (http://anonscm.debian.org/gitweb/?p=collab-maint/screen.git;a=commitdiff;h=7d2ca279)
> works properly on Hurd, too?

I didn't find the time to test before your upload, but I could test the
built package and it looks fine.

Samuel




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 10 Jul 2012 07:44:59 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 15:03:00 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.